Emgmbh\UserBundle\Entity\Worker:
    exclusion_policy: all
    virtual_properties:
        getFullName:
            groups:
                - workers_search
                - markets_responsibility
                - markets_annual_instruction
                - workers_alarms
        getSignatureRelativePath:
            groups:
                - workers_details
            serialized_name: signature
        hasSignature:
            groups:
                - workers_details
                - workers_search
        hasPin:
            groups:
                - workers_details
        hasConfirmedResponsibility:
            groups:
                - workers_search_responsibility
        getTravelTime:
            groups:
                - workers_search_responsibility
        isEu:
            groups:
                - workers_search
    properties:
        id:
            groups:
                - workers_search
                - markets_responsibility
                - markets_annual_instruction
                - users_search
                - workers_alarms
        number:
            groups:
                - workers_search
                - markets_responsibility
                - markets_annual_instruction
                - workers_alarms
        pin:
            groups:
                - workers_search
                - markets_responsibility
                - markets_annual_instruction
                - users_search
        firstName:
            groups:
                - workers_search_extended
        lastName:
            groups:
                - workers_search_extended
        postcode:
            groups:
                - workers_search_extended
        city:
            groups:
                - workers_search_extended
        address:
            groups:
                - workers_search_extended
        birthday:
            groups:
                - workers_search_extended
            type: 'DateTime<"Y-m-d">'
        country:
            groups:
                - workers_search_extended
        position:
            groups:
                - workers_search
                - workers_search_extended
                - workers_search_responsibility
        documentsList:
            groups:
                - workers_alarms
